!---------------------------------------------------------------------
!     Copyright (C) GFD Dennou Club, 2004. All rights reserved.
!---------------------------------------------------------------------
                                                                 !=begin
!= Program RandomSet
!
!   * Developer: Kitamori Taichi
!   * Version: 
!   * Tag Name: 
!   * Change History: 
!
!== Overview 
!
!乱数ファイルを生成する
!
!== Error Handling
!
!== Known Bugs
!
!== Note
!
!== Future Plans
!
!
                                                                 !=end

program randomset
  !== 暗黙の型宣言禁止
  implicit none

  !== Public Interface

  !=== Dependency

  !=== Input
  real(8)        :: random    ! 乱数
  integer        :: i         ! ループ変数

  !=== Work

  open(10,file='rand.dat')

  do i = 1, 100
     call random_number(random)
     write(10,*) random
  end do
  
  close(10)

end program randomset
